SDL_MainThreadCallback(3type)

NAME
SDL_MainThreadCallback - Callback run on the main thread.

HEADER FILE
Defined in SDL3/SDL_init.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef void (SDLCALL *SDL_MainThreadCallback)(void *userdata);

FUNCTION PARAMETERS

userdata
    an app-controlled pointer that is passed to the callback.

AVAILABILITY
This datatype is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_RunOnMainThread(3)